<?php
	require_once("config/connect.php");
	require_once("include/ajax_functions_gastro_global.php");
	
	if(isset($_SESSION['requested_resolution']) && ($_SESSION['requested_resolution'] == 'handy' || $_SESSION['requested_resolution'] == 'tablet')){
				$mobileDevice=true;
				?>
					<script>MobileDeviceIndicatorTische=true;</script>
				<?php
			}
	else{
		$mobileDevice=false;
	}
	
	function testX(){
	
	
	}
	
	
		
		# wird für Tische Text Schatten verwendet
	function inverseColor($baseColor){
		
			#   für Schatten unbrauchbar !!! grundsätzlich funktioniert das aber 
		$baseColor = str_replace('#', '', $baseColor);
		if (strlen($baseColor) == 3){
				#return '000000';
				$colorArray=str_split($baseColor);
				$red=$colorArray[0].$colorArray[0];
				$green=$colorArray[1].$colorArray[1];
				$blue=$colorArray[2].$colorArray[2];
				
				$baseColor=$red.$green.$blue;
		}
		else if(strlen($baseColor) != 3 && strlen($baseColor) != 6){
				return '#888888';
		}
		$rgb = '';
		for ($x=0;$x<3;$x++){
			$c = 255 - hexdec(substr($baseColor,(2*$x),2));
			$c = ($c < 0) ? 0 : dechex($c);
			$rgb .= (strlen($c) < 2) ? '0'.$c : $c;
		}
		return '#'.$rgb;
	}
	
	function calcTxtShadow($baseColor){
		$baseColor = str_replace('#', '', $baseColor);
		$rgbColor=hex2rgb($baseColor);
		$calcVal=false;
		if(($rgbColor[0]+$rgbColor[1]+$rgbColor[2]) >= 380) $calcVal='#111111';
		else  $calcVal='#eeeeee';
		
		return $calcVal;
	}
	
	
	function hex2rgb($hex) {
		$hex = str_replace("#", "", $hex);

	   if(strlen($hex) == 3) {
		  $r = hexdec(substr($hex,0,1).substr($hex,0,1));
		  $g = hexdec(substr($hex,1,1).substr($hex,1,1));
		  $b = hexdec(substr($hex,2,1).substr($hex,2,1));
	   } else {
		  $r = hexdec(substr($hex,0,2));
		  $g = hexdec(substr($hex,2,2));
		  $b = hexdec(substr($hex,4,2));
	   }
		$rgb = array($r, $g, $b);
			#return implode(",", $rgb); // returns the rgb values separated by commas
	   return $rgb;			# returns an array with the rgb values
	}


	// Zeigt alle Tische an
	// wenn $no_link gesetzt ist, dann wird  onclick event anders gesetzt - für Tische anlegen (verschieben)
	function tische_anzeigen($raum, $moveIndicator=false, $no_link=false)
	{
		if(!isset($_SESSION)){session_start();}

			if($raum == 'false'){
				$firstR=mysql_fetch_assoc(mysql_query("SELECT id FROM raum order by reihenfolge ASC limit 1"));
				$raum =$firstR['id'];

			}
			
		#	file_put_contents('kpcheckit.txt', "\n " .basename(__FILE__) . " ". __LINE__ .", Raum: ".$raum."\n", FILE_APPEND);
			
		if(isset($_SESSION['gastroTisch'])) $currentTableId=$_SESSION['gastroTisch'];
		else{
			$startTisch=mysql_fetch_array(mysql_query("SELECT MIN(id) FROM tische WHERE raum =(select id from raum order by reihenfolge ASC limit 1 )"));
			$_SESSION['gastroTisch']=$startTisch[0];
			$currentTableId=$_SESSION['gastroTisch'];
		}
		
				# wenn es das conditional nicht gibt, wird bei combi artikel der combi Preis und auch die einzelpreise der combi inhalte
				# genommen und der Combipreis dadurch doppelt gerechnet, ein else gibts es nicht, würden wir ELSE 0 nehmen dann steht in jedem Tisch 0,00 
		$tQl=mysql_query("SELECT breite,hoehe, posTop, posLeft, tische.id, tischName, count(offener_bon.id) as zeilen, display_float, 
							benutzer_id, benutzer.name AS benutzerName, kunden_id, 
							SUM(CASE WHEN has_childs = 0 THEN offener_bon.PRICESELL*(1+offener_bon.tax_rate)*stueck END) AS tableSum,
							bg_color, txt_color, bgImg, vorname, nachname
							FROM tische 
							LEFT JOIN offener_bon ON tische.id=bon_id
							LEFT JOIN raum ON raum.id = tische.raum
							LEFT JOIN benutzer ON benutzer_id = benutzer.id
							LEFT JOIN kunden ON kunden_id=kunden.id
							WHERE raum = ".$raum." GROUP by tische.id 
							ORDER by tischName, tische.id");
		
		while($tRow=mysql_fetch_array($tQl)){
			$tischId=$tRow['id'];
				if($tischId==$currentTableId)$currrentIdStyle=" box-shadow:3px 3px 4px #00a;";
				else $currrentIdStyle="";
				
				$tableWidth=$tRow['breite'];
				$tableHeight=$tRow['hoehe'];
				$tablePosLeft=$tRow['posLeft'];
				$tablePosTop=$tRow['posTop'];
				if (GASTRO_KUNDE_AUF_TISCH_ANZEIGEN == 'ja') $kunde=" ".$tRow['vorname'].$tRow['nachname'];
				else $kunde="";
				$txRotate="";
				
				$zX="default";
				
						#	file_put_contents('kpcheckit.txt', "\n " .basename(__FILE__) . " ". __LINE__ .", Tisch: ".$tischId."\n", FILE_APPEND);	
				
				if(isset($_SESSION['requested_resolution']) && ($_SESSION['requested_resolution'] == 'handy' || $_SESSION['requested_resolution'] == 'tablet')){
					//$colToSel='1024x600'; 
					//$colToSel = $_SESSION['requested_resolution'];
					//RFR: requested_resultion ist immer das gleiche wie BILDSCHIRM_GESAMTE_BREITE - also ist Faktor immer 1 - Fehler wurde irgendwo in ca. 4.05 eingebaut.
					$defaultAufloesungQl=mysql_fetch_assoc(mysql_query("SELECT wert FROM konfiguration WHERE name='DEFAULT_AUFLOESUNG' "));
					$colToSel=$defaultAufloesungQl['wert'];

					$wQl=mysql_fetch_assoc(mysql_query("SELECT ".$colToSel." FROM konfiguration WHERE name = 'BILDSCHIRM_GESAMTE_BREITE' "));
					$hQl=mysql_fetch_assoc(mysql_query("SELECT ".$colToSel." FROM konfiguration WHERE  name = 'BILDSCHIRM_GESAMTE_HOEHE' "));					
					
					$defaultTableWidth=preg_replace('/\D/', '', $wQl[$colToSel]);
					$defaultTableHeight=preg_replace('/\D/', '', $hQl[$colToSel]);
	
					if($defaultTableWidth > 0)$wFactor=preg_replace('/\D/', '', BILDSCHIRM_GESAMTE_BREITE)/$defaultTableWidth; else $wFactor=0;
					if($defaultTableHeight > 0)$hFactor=preg_replace('/\D/', '', BILDSCHIRM_GESAMTE_HOEHE)/$defaultTableHeight; else $hFactor=0; 
					
							#	$tablePos= mysql_fetch_assoc(mysql_query("SELECT * FROM tische WHERE id = ".$tischId." "));
						$tableWidth*=$wFactor;
						$tableHeight*=$hFactor;
						$tablePosLeft*=$wFactor;
						$tablePosTop*=$hFactor;
						
						$txRotate="transform: rotate(90deg);";
						$txRotate="";

				}
			$benutzerN=false;
			$tableSum=false;
			$butDisabled="";
			$opacity="";
			
			if(strtolower(GASTRO_SUMME_AUF_TISCH_ANZEIGEN) == 'ja')
			{
				if(is_numeric($tRow['tableSum'])) $tableSum=" / ".number_format($tRow['tableSum'], 2, ",", ".");			
			}
			if($tRow['benutzer_id'] > 0){
					$benutzerN="<br />".$tRow['benutzerName'];
					if($tRow['benutzer_id'] != $_SESSION['userId'] && $_SESSION['userLevel'] < 3 && strtolower(GASTRO_NURAUF_EIGENEN_TISCH) == 'ja'){
							$butDisabled = 'disabled';
							$opacity=' opacity:0.5;';						
					}
						#user Level 3 ist superuser, der darf
				}	

			$zuluz=$tRow['tischName'];
			$zuz=$tRow['zeilen'];
			$bgCol=$tRow['bg_color'];
			$txtCol=$tRow['txt_color'];
			$textShadowColor=calcTxtShadow($txtCol);
			
			
			
				#file_put_contents('kpcheckit.txt', "\n " .basename(__FILE__) . " ". __LINE__ ."Tischname --> ".$zuluz." Anzahl Zeilen --> ".$zuz."  bg -> ".$bgCol."  txt -> ".$txtCol."\n", FILE_APPEND);
			
			if($tRow['bgImg'] == 0) $bgImg='background-image:none;';
				else $bgImg='';
				
			if(($tRow['bg_color'] != '' && $tRow['txt_color'] != '') && $tRow['zeilen'] == 0){
								
				$color="background-color:#".$tRow['bg_color']."; color:#".$tRow['txt_color']."; 
				text-shadow:1px 1px 1px ".$textShadowColor.", 1px -1px 1px ".$textShadowColor.", -1px 1px 1px ".$textShadowColor.",  -1px -1px 1px ".$textShadowColor."; ";			

				$tabelActiveClass="";
			}
			else if($tRow['zeilen']>0){ 
				// Wenn es schon eine Buchung auf dem Tisch gibt, dann andere Background Farbe
				$tabelActiveClass="tabelActive"; $color="background-color:".BUTTON_FARBE_SET.";"; 
				
				
			}			
			else { $tabelActiveClass=""; $color="";		}
			
						
			if ($no_link) $onclick="onclick=\"tisch_details_anzeigen(".$tRow['id'].")\"";
			else $onclick="onclick=\"tischAuswaehlen(".$tRow['id'].", '".$butDisabled."')\"";
			if($moveIndicator=='moveTable' && $tRow['zeilen']<=0){ $color="background-color:#38629a; color:#f90; ";}
				echo "<div id='drag_".$tRow['id']."' class='draggable'>";
				if(strtolower($tRow['display_float'])=='ja') echo "<button id='".$tRow['id']."' class='resizable raumLayoutStammkundeBut schrift' class='".$tabelActiveClass."' 
						style=' ".$currrentIdStyle." ".$color." width:".$tableWidth."px; height:".$tableHeight."px;".$opacity."' 
						$onclick >".$tRow['tischName'].$benutzerN.$tableSum.$kunde."</button>";
				else echo "<button id='".$tRow['id']."' class='resizable layoutTable ".$tabelActiveClass."'
					style='position:absolute; ".$bgImg.$currrentIdStyle." ".$color." width:".$tableWidth."px; height:".$tableHeight."px; top:".$tablePosTop."px; 
					left:".$tablePosLeft."px; overflow:hidden;".$opacity." '
					$onclick >".$tRow['tischName'].$benutzerN.$tableSum.$kunde."</button>";
				echo "</div>";
		}
	}
	
	function load_warenkoerbe($wkContainer=false, $moveIndicator=false){
		
		if(isset($_SESSION['ablageWarenkorb'])) $currentWK=$_SESSION['ablageWarenkorb'];
		else{
			$ablWk=mysql_fetch_array(mysql_query("SELECT MIN(id) FROM warenkoerbe"));
			$_SESSION['ablageWarenkorb']=$ablWk[0];
			$currentWK=$_SESSION['ablageWarenkorb'];
		}
		
		$tQl=mysql_query("SELECT breite,hoehe, warenkoerbe.id, warenkorbName, count(offener_bon.id) as zeilen,
							SUBSTRING_INDEX(warenkorbName, '- ', -1) AS kpNum
							FROM warenkoerbe 
							LEFT JOIN offener_bon on warenkoerbe.id=bon_id
							GROUP by warenkorbName ORDER BY reihenfolge ");
		while($tRow=mysql_fetch_array($tQl)){
			$wKId=$tRow['id'];
				if($wKId==$currentWK)$currrentIdStyle=" box-shadow:3px 3px 4px #00a;";
				else $currrentIdStyle="";
				
				$tableWidth=$tRow['breite'];
				$tableHeight=$tRow['hoehe'];

				
				$zX="default";
				
			if ($tRow['zeilen']>0){ $tabelActiveClass="tabelActive"; $color="background-color:".BUTTON_FARBE_SET.";"; } else { $tabelActiveClass=""; $color="";		}
			if($moveIndicator=='moveTable' && $tRow['zeilen']<=0){ $color="background-color:#38629a; color:#f90; ";} 

				echo "<button class='raumLayoutStammkundeBut schrift' class='".$tabelActiveClass."' 
						style=' ".$currrentIdStyle." ".$color." width:10%; margin:10px 1%; height:".$tableHeight."px;' 
					onclick=\"tischAuswaehlen(".$tRow['id'].")\"	>".$tRow['warenkorbName']."</button>";
				
		}

	
	
	
	}

	function printGastroAbholschein($bon_id, $callFrom=false){
		$scheinOp="";
		$returnMsg="";
		
		$printer=mysql_fetch_array(mysql_query("SELECT win_drucker_name, drucker_margin_pdf, druckbreite  FROM drucker WHERE LOWER(ist_rechnungsdrucker) = 'ja' "));
		
		if($printer['druckbreite'] == true && $printer['druckbreite'] > 35) $printWidth = $printer['druckbreite'];
		else $printWidth=preg_replace('/[^\d]/', '', AUSDRUCK_GESAMTE_BREITE);
				
		$drucker=$printer[0];
		
		$margin=$printer[1];
		$margins=explode(",", $margin);
		
		if(isset($margins[2]))$marginLR=preg_replace('/\D/', '', $margins[2]); else $marginLR=0; 
		if(isset($margins[1]))$marginBottom=preg_replace('/\D/', '', $margins[1]); else $marginBottom=0; 			
		if(isset($margins[0]))$marginTop=preg_replace('/\D/', '', $margins[0]); else $marginTop=0; 	
		$margins=explode(",", $margin);
		
		
			require_once('include/fpdf.php');
	
		$pdf=new FPDF('P','mm', array($printWidth, 1));
		
		
		$pdf->SetMargins($marginLR, $marginTop, 0);			// margin right (optional) set to 0, rest of pager width	
		$pdf->SetAutoPageBreak(true, 2);					# das ist "eigentlich margin Bottom. wird nicht verwendet, der drucker ignoriert das
															# hängen eine Cell mit margin bottom hinden drann
		 
		
		$fontConfig=SCHRIFT_AUSDRUCK_PDF;
		
	#	file_put_contents('kpcheckit.txt', "\n frei bon mode gastro abholschein drucken, bon id: ".$bon_id." call from: ".$callFrom."\n", FILE_APPEND);
		

		if ( strpos(strtolower($fontConfig), 'arial') !== false  || strpos(strtolower($fontConfig), 'helvetica') !== false || 
					strpos(strtolower($fontConfig), 'sans serif') !== false ){ $pdfFont="Arial"; }
					
		else if ( strpos(strtolower($fontConfig), 'times') !== false  || strpos(strtolower($fontConfig), 'roman') !== false ||
					(strpos(strtolower($fontConfig), 'serif') !== false &&  strpos(strtolower($fontConfig), 'sans') == false)) { $pdfFont="Times"; }
		else if (strpos(strtolower($fontConfig), 'courier') !== false ) { $pdfFont="Courier";  }
		else {$pdfFont="Arial";  }
		
		preg_match('/\d+px | \d+pt/', $fontConfig, $m);
		preg_match('/\d+/', $m[0], $match);
		$pdfFontSize=$match[0];		
		
		$lineHeight=$pdfFontSize/2;
		
		$pdf->SetFont($pdfFont, '', $pdfFontSize); 
		
		$kopfzQl=mysql_query("select name, wert from konfiguration WHERE name LIKE 'AUSRUCK_KOPFZEILE_%' ORDER BY name");
		$kopfzeilenArry=array();
		while($kopfzR=mysql_fetch_array($kopfzQl)){
			if(strpos($kopfzR['name'], 'IBAN') !== false || $kopfzR['wert'] == ""	)	continue;
			array_push($kopfzeilenArry,  strip_tags($kopfzR['wert']));
			
		}
		
		if($callFrom == 'paymentFinishZahlungsfrei') $sqlTable='abgeschlossener_bon_produkte_frei';
		else $sqlTable='abgeschlossener_bon_produkte';
		
		$prodQl=mysql_query("SELECT PRINTNAME, stueck, parent_id FROM  ".$sqlTable." WHERE bon_id = ".$bon_id." ");
		while($prodListRow=mysql_fetch_array($prodQl)){
				# wenn das Produkt eine parent Id hat ist es ein Child Produkt, wird hier nicht ausgedruckt
			if($prodListRow['parent_id'] > 0 ) continue;
				# print kopfteil aus array
			$pageH=$marginTop+((count($kopfzeilenArry)+1)*$lineHeight)+($lineHeight*7)+($marginBottom+10);
			$pdf->AddPage("P", array($printWidth, $pageH));
			for($i=0; $i < sizeof($kopfzeilenArry); $i++){
				$pdf->Cell($printWidth, $lineHeight, iconv('UTF-8', 'windows-1252', $kopfzeilenArry[$i]), 0, 1, 'C');
			}
			
			$pdf->Cell($printWidth, $lineHeight, "", "B", 1, 'C');
			
			$pdf->Cell(0, 1.5, "", 0, 1, 'C');
			$pdf->Cell(0, $lineHeight*1.2, iconv('UTF-8', 'windows-1252', LIEFERSCHEIN_BENENNUNG.$bon_id), 0, 1, 'L');	
			
			$txLineW=preg_replace('/[^\d]/', '', AUSDRUCK_BON_STK_CM)+preg_replace('/[^\d]/', '', AUSDRUCK_BON_NAME_CM)+preg_replace('/[^\d]/', '', AUSDRUCK_BON_EINZELPREIS_CM);
			$pdf->Cell($txLineW, $lineHeight, "Datum: ".date( 'Y-m-d H:i'), '', 0, 'L');
			$pdf->Cell(preg_replace('/[^\d]/', '', AUSDRUCK_BON_SUMME_CM), $lineHeight, "", 0, 1, 'R');
			
			$pdf->Cell($printWidth, $lineHeight, "", "B", 1, 'C');
				$qtyColWidth=preg_replace('/[^\d]/', '', AUSDRUCK_BON_STK_CM);
			$pdf->Cell($qtyColWidth, $lineHeight, number_format($prodListRow['stueck'], 1, ",", ""), 0, 0, 'R');
			$pdf->Cell($printWidth-$qtyColWidth, $lineHeight, iconv('UTF-8', 'windows-1252', $prodListRow['PRINTNAME']), 0, 1, 'L');
			$pdf->Cell($printWidth-$qtyColWidth, $lineHeight, "", "B", 1, 'L');
			
			$pdf->SetDrawColor(220);
			$pdf->SetLineWidth(.1);
			$pdf->Cell($printWidth/2, $marginBottom, "", 0, 0, 'C');
			$pdf->Cell(.5, $marginBottom, "", "B", 1, 'C');
			$pdf->SetDrawColor(0);
			$pdf->SetLineWidth(.2);
	
		}
				
		$outputTarget=__DIR__ ."\docs\sIT_abholsch_".$bon_id."_".date('d_m_H_i').".pdf";
		$command="C:\sitpos\pdfxchange\App\PDFV_Portable\PDFXCview.exe /print:printer=\"$drucker\" \"$outputTarget\" ";
				
		$writeFile=$pdf->Output($outputTarget, "F");

		//exec($command, $output, $error_code);
			#$printLs=pclose(popen($command, "r"));
		$printLs=seiteDrucken($drucker, $outputTarget, "abholschein");
		
	
		if($printLs == 0){
			$returnMsg.= "Abholschein zu Bon Nr. ".$bon_id." ausgedruckt.";
		}
		else $returnMsg.= "Fehler beim Abholscheinscheindruck.";
		
	#	file_put_contents('kpcheckit.txt', "\n " .basename(__FILE__) . " ". __LINE__ .", prod liste ? : ".$scheinOp." \n", FILE_APPEND);
		return $returnMsg." bon id: ".$bon_id." \n\t".$scheinOp;
		
	}
	

	
	function readBeilagen($categoryId=false, $categoryParentId=false, $kombi=0, $produkt_parent_id=false){
		# auslesen für den Beilagen Container, wird in kassieren aufgerufen und angezeigt wenn editieren aufgemacht wird
		# 	und auch von ajax_functions_gastro  wenn vom Anzeigen Sub Beilagen auf Ebene zurück wieder auf die ERSTE Anzeigeebene gegangen wird.
				$xOp="";
				//echo $kombi;
				$beilagenQuery=false;
					# eine ebene rauf button
				if($categoryParentId !== false){
						if($categoryParentId == 0 || $categoryParentId === false){
							$xOp.="<button class='button beilagen_button beilagen_button_up'
									onclick=\"getBeilagenSubGroup('root', false, $kombi, $produkt_parent_id)\" >&nbsp;</button>";
						}
						else{
							$xOp.="<button class='button beilagen_button beilagen_button_up' onclick=\"getBeilagenSubGroup('".$categoryParentId."', false, $kombi, $produkt_parent_id)\" >&nbsp;</button>";
						}
				}
				# suche übergruppen
				if($categoryId === false) $whereClause="AND (PARENTID IS NULL OR PARENTID='0') ";
				else $whereClause="AND PARENTID = ".$categoryId;
				$parGrQl=mysql_query("SELECT NAME, ID, PARENTID, COLOR, text_color FROM categories WHERE ist_beilage = 1 
								AND geloescht = 0 ".$whereClause." ORDER BY anzeige_reihenfolge ");
				$groupQueryRes=mysql_num_rows($parGrQl);
				$groupList="";
				while($parGrRow=mysql_fetch_array($parGrQl)){
					$groupList.=$parGrRow['ID'].",";
					$beilGroupId=$parGrRow['ID'];
					$beilGroupParentId=$parGrRow['PARENTID'];
					$bgColor=$parGrRow['COLOR'];
					$txtColor=$parGrRow['text_color'];
					
					$xOp.="<button class='button beilagen_button' style='background-color:".$bgColor."; color:".$txtColor.";    ' 
						onclick=\"getBeilagenSubGroup('".$beilGroupId."', '".$beilGroupParentId."', ".$kombi.", ".$produkt_parent_id.")\" >".htmlentities($parGrRow['NAME'])."</button>";

				}
				$groupList = preg_replace('/,$/', '', $groupList);
				
				if($categoryId === false) $whereClausePr="AND (PARENTID IS NULL OR PARENTID='0') ";
				else $whereClausePr="AND categories.ID = ".$categoryId;
				
				if(strlen($groupList) > 0)$whereClausePr.=" AND products.CATEGORY NOT IN (".$groupList.")";

				$blQl=mysql_query("SELECT products.ID as produkt_id, products.NAME AS name, categories.NAME AS parent_name, categories.PARENTID AS parentId,
										PRICESELL*(1+taxes.RATE) AS bruttoPr, PRICESELL, PRINTNAME, COLOR, text_color, taxes.RATE AS taxRate, 
										products.CATEGORY AS catId, categories.beilage_basispreis_aendern AS catBasisPrChange, 
										products.beilage_basispreis_aendern AS prodBasisPrChange, bg_color, txt_color, categories.geloescht, products.geloescht								
									FROM categories  
									LEFT JOIN products ON categories.ID = products.CATEGORY
									LEFT JOIN taxes ON taxes.ID = products.TAXCAT 
									WHERE (products.ist_beilage = 1 OR categories.ist_beilage = 1 ) AND (products.geloescht = 0 AND categories.geloescht = 0) 
									".$whereClausePr."									
									ORDER BY PRODUKTORDER, anzeige_reihenfolge, products.NAME ");
									
				$productQueryRes=mysql_num_rows($blQl);
				
				if(!$blQl) writeSitposLog(basename( __FILE__)." ". __LINE__ ,  "SQL Error: ".mysql_error());

			while($rowBl=mysql_fetch_array($blQl)){
					if($rowBl['PRINTNAME'] == true && $rowBl['PRINTNAME'] != "") $displayName=$rowBl['PRINTNAME'];
					else $displayName=$rowBl['name'];
		
					$produkt_id=$rowBl['produkt_id'];
					$beilagenPreis=$rowBl['PRICESELL'];
					$beilagenPreisBrut=$rowBl['bruttoPr'];
					$displayBlPreis=false;
					$beilagenBasisPrChange=0;
					if(defined('BEILAGEN_PREIS_BERECHNEN') && strtolower(BEILAGEN_PREIS_BERECHNEN) == 'ja'){
						$displayBlPreis=number_format($rowBl['bruttoPr'], 2, ",", ".")." - ";
					}
					
					if($rowBl['prodBasisPrChange'] == 1 || $rowBl['catBasisPrChange'] == 1){
						$beilagenBasisPrChange = 1;
					}
					
						# Default definition für Beilagen Kachel Farbe    Aug 20200
						
					$buttonBg="#ccccee";
					$buttonColor="#000000";
					if(strlen($rowBl['bg_color']) >= 4 && substr($rowBl['bg_color'], 0, 1) == '#'){
						$buttonBg=$rowBl['bg_color'];
						$buttonColor=$rowBl['txt_color'];
					}
					else if(strlen($rowBl['COLOR']) >= 4 && substr($rowBl['COLOR'], 0, 1) == '#' && (strlen($rowBl['bg_color']) < 4 || substr($rowBl['COLOR'], 0, 1) != '#') )
								{
						$buttonBg=$rowBl['COLOR'];
						$buttonColor=$rowBl['text_color'];	
					}

					if ($kombi==0)
					{
						$xOp.="<button class='button beilagen_button' style='background:".$buttonBg."; color:".$buttonColor. "' 
									onclick=\"beilagen_aendern('".$displayName."', '".$beilagenPreis."', '".$beilagenPreisBrut."', '".$beilagenBasisPrChange."' )\"> 
									".$displayBlPreis.$displayName."</button>";
					}
					else
					{
						$xOp.="<button class='button beilagen_button' style='background:".$buttonBg."; color:".$buttonColor. "' 
									onclick=\"kombiprodukt_produkt_hinzufügen('".$produkt_id."', '".$produkt_parent_id."')\"> 
									".$displayBlPreis.$displayName."</button>";
					}
									
			}
			if($groupQueryRes > 0 || $productQueryRes > 0)$beilagenQuery=true;
			else $beilagenQuery=false;
			return array($beilagenQuery, $xOp);
	
	}
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
?>